标注管理
创建标注
适用于:Chatflow、聊天助手、Agent。
创建新的标注。标注提供预定义的问答对,应用可以直接匹配并返回,而无需生成回复。
POST
/
apps
/
annotations
创建标注
curl --request POST \
--url https://{api_base_url}/apps/annotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform."
}
'import requests
url = "https://{api_base_url}/apps/annotations"
payload = {
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question: 'What is Dify?',
answer: 'Dify is an open-source LLM application development platform.'
})
};
fetch('https://{api_base_url}/apps/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform.",
"hit_count": 0,
"created_at": 1705407629
}Authorizations
API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}。强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized。
Last modified on July 9, 2026
Was this page helpful?
⌘I
创建标注
